nn.pp.core

## Class Oem

- java.lang.Object
- - nn.pp.core.Oem

-     public class Oem
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `OEM_GESAB`
    `static java.lang.String` | `OEM_GND`
    `static java.lang.String` | `OEM_IHSE`
    `static java.lang.String` | `OEM_LENOVO`
    `static java.lang.String` | `OEM_RARITAN`
    `static java.lang.String` | `OEM_WEYTEC`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String[]` | `getIconFileNames()`
    `static java.lang.String` | `getKxDeviceName()`
    `static java.lang.String` | `getKxDeviceNameLong()`
    `static java.lang.String` | `getKxDeviceNameShort()`
    `static java.lang.String` | `getLogoFileName()`
    `static java.lang.String` | `getOem()`
    `static java.lang.String` | `getOemName()`
    `static java.lang.String` | `getSvgLogoFileName()`
    `static java.lang.String` | `getUserStationName()`
    `static java.lang.String` | `getUserStationNameLong()`
    `static boolean` | `isOem(java.lang.String oem)`
    `static boolean` | `isOemRaritan()`
    `static void` | `setOem(java.lang.String oem)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OEM_RARITAN

          public static final java.lang.String OEM_RARITAN

      See Also:
        Constant Field Values

    - #### OEM_IHSE

          public static final java.lang.String OEM_IHSE

      See Also:
        Constant Field Values

    - #### OEM_LENOVO

          public static final java.lang.String OEM_LENOVO

      See Also:
        Constant Field Values

    - #### OEM_GND

          public static final java.lang.String OEM_GND

      See Also:
        Constant Field Values

    - #### OEM_WEYTEC

          public static final java.lang.String OEM_WEYTEC

      See Also:
        Constant Field Values

    - #### OEM_GESAB

          public static final java.lang.String OEM_GESAB

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setOem

          public static void setOem(java.lang.String oem)

    - #### getOem

          public static java.lang.String getOem()

    - #### getLogoFileName

          public static java.lang.String getLogoFileName()

    - #### getSvgLogoFileName

          public static java.lang.String getSvgLogoFileName()

    - #### isOemRaritan

          public static boolean isOemRaritan()

    - #### getOemName

          public static java.lang.String getOemName()

    - #### getKxDeviceName

          public static java.lang.String getKxDeviceName()

    - #### getKxDeviceNameLong

          public static java.lang.String getKxDeviceNameLong()

    - #### getKxDeviceNameShort

          public static java.lang.String getKxDeviceNameShort()

    - #### getUserStationName

          public static java.lang.String getUserStationName()

    - #### getUserStationNameLong

          public static java.lang.String getUserStationNameLong()

    - #### getIconFileNames

          public static java.lang.String[] getIconFileNames()

    - #### isOem

          public static boolean isOem(java.lang.String oem)

Copyright © 2025 Raritan Inc. All Rights Reserved.